import request from '/@/utils/request';

export function RFIDApi() {
    return {
        // v1
        getRFIDList: (data: object) => {
            return request({
                url: `/SafeCheckRfid/select/listRfidByPag`,
                method: 'post',
                data: data
            });
        },
        // v1
        addRFID: (data: object) => {
            return request({
                url: `/SafeCheckRfid/insert/saveRfid`,
                method: 'post',
                data: data
            });
        },
        // v1
        modRFID: (data: object) => {
            return request({
                url: `/SafeCheckRfid/update/updateRfidById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteRFID: (data: object) => {
            return request({
                url: `/SafeCheckRfid/delete/deleteRfidById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllRFIDList: () => {
            return request({
                url: `/prevent/device/select/listDevices`,
                method: 'post'
            });
        }
    };
}
